// Copyright (c) The Avalonia Project. All rights reserved.
// Licensed under the MIT license. See licence.md file in the project root for full license information.

namespace Avalonia.Controls
{
    /// <summary>
    /// Defines the minimized/maximized state of a <see cref="Window"/>.
    /// </summary>
    public enum WindowState
    {
        /// <summary>
        /// The window is neither minimized or maximized.
        /// </summary>
        Normal,

        /// <summary>
        /// The window is minimized.
        /// </summary>
        Minimized,

        /// <summary>
        /// The window is maximized.
        /// </summary>
        Maximized,
    }
}
